Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0027830
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementminoralways2014-10-10 12:162014-12-30 23:24
ReportercaristuView Statuspublic 
Assigned Toreinaldoguerra 
PriorityhighResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision76051fc26377
ProjectionnoneETAnoneTarget Version3.0PR15Q1
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned Topramakrishnan
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0027830: It is not possible to extend the AddPaymentOrderInvoicesTransformer class

DescriptionIn add payment button, Order Invoices grid the table is an hql query table. It's modularity is provided by a java class called AddPaymentOrderInvoicesTransformer.

Currently is not possible to extend the behavior for this class because almost all of it's methods are private, which makes them uninheritable. This methods should be protected to allow the class override.

Attached is the patch.
Steps To ReproduceIn descripion
TagsNo tags attached.
Attached Filesdiff file icon AddPaymentOrderInvoicesTransformer.diff [^] (4,182 bytes) 2014-10-10 12:26 [Show Content]
? file icon InheritanceExampleClass.java [^] (287 bytes) 2014-11-04 00:39

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0071385)
reinaldoguerra (developer)
2014-11-04 00:39

Test plan used:

Attached is an example class which represents the extendable behavior of the AddPaymentOrderInvoicesTransformer class. In this case the method getSelectClause is extended.
(0071688)
hgbot (developer)
2014-11-17 11:33

Repository: erp/devel/pi
Changeset: 76051fc26377cbeb89ba8b4bff5eb28f97880656
Author: Reinaldo Guerra <reinaldo.guerra <at> peoplewalking.com>
Date: Thu Oct 30 13:07:36 2014 -0500
URL: http://code.openbravo.com/erp/devel/pi/rev/76051fc26377cbeb89ba8b4bff5eb28f97880656 [^]

Fixed bug 27830: Extending methods in class AddPaymentOrderInvoicesTransformer

Methods in class AddPaymentOrderInvoicesTransformer are changed to protected instead of private, making extendable the behavior of the mentioned class.
Now it is possible to create a subclass of AddPaymentOrderInvoicesTransformer class and get access to its methods.

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/hqlinjections/AddPaymentOrderInvoicesTransformer.java
---
(0071716)
pramakrishnan (developer)
2014-11-17 17:14

Code Review + Testing - OK.
(0073061)
hudsonbot (developer)
2014-12-30 23:24

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/6525fe229e06 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-10-10 12:16 caristu New Issue
2014-10-10 12:16 caristu Assigned To => dmiguelez
2014-10-10 12:16 caristu Modules => Core
2014-10-10 12:16 caristu Triggers an Emergency Pack => No
2014-10-10 12:16 caristu Issue Monitored: networkb
2014-10-10 12:16 caristu Assigned To dmiguelez => AtulOpenbravo
2014-10-10 12:18 caristu version => pi
2014-10-10 12:26 caristu Description Updated View Revisions
2014-10-10 12:26 caristu File Added: AddPaymentOrderInvoicesTransformer.diff
2014-10-17 01:00 eintelau Issue Monitored: eintelau
2014-10-30 19:47 reinaldoguerra Assigned To AtulOpenbravo => reinaldoguerra
2014-10-30 19:47 reinaldoguerra Status new => scheduled
2014-11-04 00:39 reinaldoguerra Note Added: 0071385
2014-11-04 00:39 reinaldoguerra File Added: InheritanceExampleClass.java
2014-11-17 11:33 hgbot Checkin
2014-11-17 11:33 hgbot Note Added: 0071688
2014-11-17 11:33 hgbot Status scheduled => resolved
2014-11-17 11:33 hgbot Resolution open => fixed
2014-11-17 11:33 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/76051fc26377cbeb89ba8b4bff5eb28f97880656 [^]
2014-11-17 17:14 pramakrishnan Review Assigned To => pramakrishnan
2014-11-17 17:14 pramakrishnan Note Added: 0071716
2014-11-17 17:14 pramakrishnan Status resolved => closed
2014-12-30 23:24 hudsonbot Checkin
2014-12-30 23:24 hudsonbot Note Added: 0073061


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker